Kubernetes
action CRD

# create_cluster_custom_object

Create a cluster wide custom object

Run it now
View details

Type | action
Module | chaosk8s.crd.actions
Name | create_cluster_custom_object
Return | mapping

Usage

JSON

    {
      "name": "create-cluster-custom-object",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.crd.actions",
        "func": "create_cluster_custom_object",
        "arguments": {
          "group": "",
          "version": "",
          "plural": ""
        }
      }
    }

YAML

    name: create-cluster-custom-object
    provider:
      arguments:
        group: ''
        plural: ''
        version: ''
      func: create_cluster_custom_object
      module: chaosk8s.crd.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
group | string |  | Yes | Group |
version | string |  | Yes | Version |
plural | string |  | Yes | Plural |
resource | mapping | null | No | Resource | Definition of the custom object, or the the resource as file below
resource_as_yaml_file | string | null | No | Resource as YAML | Definition of the custom object as a YAML file, or the the resource above

Create a cluster wide custom object. See also the Kubernetes documentation.

Signature

    def create_cluster_custom_object(
            group: str,
            version: str,
            plural: str,
            resource: Dict[str, Any] = None,
            resource_as_yaml_file: str = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Kubernetes
  action CRD

  ## `create_custom_object`

  Create a namespaced custom object
- Kubernetes
  action CRD

  ## `delete_cluster_custom_object`

  Delete a cluster wide custom object
- Kubernetes
  action CRD

  ## `delete_custom_object`

  Delete a namespaced custom object